View Issue Details

IDProjectCategoryView StatusLast Update
0002994SketcherBugpublic2017-08-13 15:34
ReporternormandcAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002994: Validate Sketch's missing coincidence tool finds false positives
DescriptionThe "missing coincidences" utility from the Sketch --> Validate sketch tool finds false missing coincidences when point-to-point tangent and perpendicular constraints are used. If the user clicks the "Fix" button to add the missing constraints, the sketch becomes over-constrained.

Point-to-point tangent and perpendicular constraints are recommended use, and it is how the Sketcher Polyline automatically applies constraints between segments. Therefore this is clearly a bug in the Validate sketch tool which brings confusion to end users, and it should be addressed.
Steps To Reproduce
  1. Create a new document, switch to the Sketcher workbench
  2. Create a new sketch
  3. Start the Polyline tool
  4. After creating the first line segment, hit the M key 3 times to toggle to the tangent arc mode
  5. Click in the 3D view to create the tangent arc
  6. Right-click to terminate the Polyline tool
  7. Exit the sketch
  8. Go to Sketch --> Validate sketch...
  9. Under Missing coincidences, click on "Find"
  10. A dialog reports 1 missing coincidence constraint found
  11. Click on "Fix"
  12. In the tree, the Sketch icon now has an exclamation point
  13. Edit the sketch, the solver messages box reports "Sketch contains redundant constraints" and instructs to remove the coincident constraint added by the Validate sketch utility.

Additional InformationOS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10665 (Git)
Build type: None
Branch: master
Hash: 47847513a85ff6615774ef628230f79e37471daf
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
TagsSolver

Activities

Kunda1

2017-04-25 12:29

administrator   ~0008752

Fixed in
c:FreeCAD:7463aa7efd255a9bbe8464d3114c5a4b4a96734d:
by wmayer.

Bugtracker note: attach commit to ticket and close

Kunda1

2017-08-13 15:33

administrator   ~0009907

https://github.com/FreeCAD/FreeCAD/commit/7463aa7efd255a9bbe8464d3114c5a4b4a96734d

Issue History

Date Modified Username Field Change
2017-04-01 16:41 normandc New Issue
2017-04-25 12:29 Kunda1 Assigned To => wmayer
2017-04-25 12:29 Kunda1 Status new => resolved
2017-04-25 12:29 Kunda1 Resolution open => fixed
2017-04-25 12:29 Kunda1 Fixed in Version => 0.17
2017-04-25 12:29 Kunda1 Note Added: 0008752
2017-05-12 12:39 Kunda1 Tag Attached: Solver
2017-08-13 15:33 Kunda1 Note Added: 0009907
2017-08-13 15:34 Kunda1 Status resolved => closed